OMSimulatorLib The OMSimulator project is a FMI-based co-simulation environment.

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
oms::Snapshot Class Reference

`#include <Snapshot.h>`

## Public Member Functions
| Snapshot (bool partial=false)
| ~Snapshot ()
oms_status_enu_t | import (const char *snapshot)
oms_status_enu_t | importResourceFile (const filesystem::path &filename, const filesystem::path &root)
oms_status_enu_t | importResourceMemory (const filesystem::path &filename, const char *contents)
oms_status_enu_t | importResourceNode (const filesystem::path &filename, const pugi::xml_node &node)
bool | isPartialSnapshot () const
pugi::xml_node | newResourceNode (const filesystem::path &filename)
pugi::xml_node | operator[] (const filesystem::path &filename)
void | getResources (std::vector< std::string > &resources) const
pugi::xml_node | getResourceNode (const filesystem::path &filename) const
pugi::xml_node | getTemplateResourceNodeSSD (const filesystem::path &filename, const ComRef &cref)
pugi::xml_node | getTemplateResourceNodeSSV (const filesystem::path &filename, const std::string &cref)
pugi::xml_node | getTemplateResourceNodeSSM (const filesystem::path &filename)
pugi::xml_node | getTemplateResourceNodeSignalFilter (const filesystem::path &filename)
pugi::xml_node | getTemplateResourceNodeSSDVariants ()
oms_status_enu_t | exportPartialSnapshot (const ComRef &cref, Snapshot &partialSnapshot)
oms_status_enu_t | importPartialSnapshot (const char *fullsnapshot)
void | debugPrintNode (const filesystem::path &filename) const
void | debugPrintAll () const
oms::ComRef | getRootCref () const
oms::ComRef | getSSDFilename () const
oms::ComRef | getSignalFilterFilename () const
oms_status_enu_t | deleteResourceNode (const filesystem::path &filename)
oms_status_enu_t | writeDocument (char **contents)
oms_status_enu_t | writeResourceNode (const filesystem::path &filename, const filesystem::path &path) const

## Private Member Functions
oms_status_enu_t | importPartialResourceNode (const filesystem::path &filename, const filesystem::path &nodename, const pugi::xml_node &node)
| Snapshot (Snapshot const &copy)
| not implemented
Snapshot & | operator= (Snapshot const &copy)
| not implemented

## Private Attributes
pugi::xml_document | doc

## Constructor & Destructor Documentation

## ◆ Snapshot() [1/2]

oms::Snapshot::Snapshot | ( | bool | partial = `false` | ) |

## ◆ ~Snapshot()

oms::Snapshot::~Snapshot | ( |  | ) |

## ◆ Snapshot() [2/2]

oms::Snapshot::Snapshot | ( | Snapshot const & | copy | ) |
| private

not implemented

## Member Function Documentation

## ◆ debugPrintAll()

void oms::Snapshot::debugPrintAll | ( |  | ) | const

## ◆ debugPrintNode()

void oms::Snapshot::debugPrintNode | ( | const filesystem::path & | filename | ) | const

## ◆ deleteResourceNode()

oms_status_enu_t oms::Snapshot::deleteResourceNode | ( | const filesystem::path & | filename | ) |

## ◆ exportPartialSnapshot()

oms_status_enu_t oms::Snapshot::exportPartialSnapshot | ( | const ComRef & | cref,
|  | Snapshot & | partialSnapshot
| ) |  |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getResourceNode()

pugi::xml_node oms::Snapshot::getResourceNode | ( | const filesystem::path & | filename | ) | const

Here is the caller graph for this function:

## ◆ getResources()

void oms::Snapshot::getResources | ( | std::vector< std::string > & | resources | ) | const

Here is the caller graph for this function:

## ◆ getRootCref()

oms::ComRef oms::Snapshot::getRootCref | ( |  | ) | const

Here is the caller graph for this function:

## ◆ getSignalFilterFilename()

oms::ComRef oms::Snapshot::getSignalFilterFilename | ( |  | ) | const

Here is the caller graph for this function:

## ◆ getSSDFilename()

oms::ComRef oms::Snapshot::getSSDFilename | ( |  | ) | const

Here is the caller graph for this function:

## ◆ getTemplateResourceNodeSignalFilter()

pugi::xml_node oms::Snapshot::getTemplateResourceNodeSignalFilter | ( | const filesystem::path & | filename | ) |

Here is the caller graph for this function:

## ◆ getTemplateResourceNodeSSD()

pugi::xml_node oms::Snapshot::getTemplateResourceNodeSSD | ( | const filesystem::path & | filename,
|  | const ComRef & | cref
| ) |  |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getTemplateResourceNodeSSDVariants()

pugi::xml_node oms::Snapshot::getTemplateResourceNodeSSDVariants | ( |  | ) |

Here is the caller graph for this function:

## ◆ getTemplateResourceNodeSSM()

pugi::xml_node oms::Snapshot::getTemplateResourceNodeSSM | ( | const filesystem::path & | filename | ) |

Here is the caller graph for this function:

## ◆ getTemplateResourceNodeSSV()

pugi::xml_node oms::Snapshot::getTemplateResourceNodeSSV | ( | const filesystem::path & | filename,
|  | const std::string & | cref
| ) |  |

Here is the caller graph for this function:

## ◆ import()

oms_status_enu_t oms::Snapshot::import | ( | const char * | snapshot | ) |

Here is the caller graph for this function:

## ◆ importPartialResourceNode()

oms_status_enu_t oms::Snapshot::importPartialResourceNode | ( | const filesystem::path & | filename,
|  | const filesystem::path & | nodename,
|  | const pugi::xml_node & | node
| ) |  |
| private

Here is the caller graph for this function:

## ◆ importPartialSnapshot()

oms_status_enu_t oms::Snapshot::importPartialSnapshot | ( | const char * | fullsnapshot | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ importResourceFile()

oms_status_enu_t oms::Snapshot::importResourceFile | ( | const filesystem::path & | filename,
|  | const filesystem::path & | root
| ) |  |

Here is the caller graph for this function:

## ◆ importResourceMemory()

oms_status_enu_t oms::Snapshot::importResourceMemory | ( | const filesystem::path & | filename,
|  | const char * | contents
| ) |  |

Here is the caller graph for this function:

## ◆ importResourceNode()

oms_status_enu_t oms::Snapshot::importResourceNode | ( | const filesystem::path & | filename,
|  | const pugi::xml_node & | node
| ) |  |

Here is the caller graph for this function:

## ◆ isPartialSnapshot()

bool oms::Snapshot::isPartialSnapshot | ( |  | ) | const

Here is the caller graph for this function:

## ◆ newResourceNode()

pugi::xml_node oms::Snapshot::newResourceNode | ( | const filesystem::path & | filename | ) |

## ◆ operator=()

Snapshot & oms::Snapshot::operator= | ( | Snapshot const & | copy | ) |
| private

not implemented

## ◆ operator[]()

pugi::xml_node oms::Snapshot::operator[] | ( | const filesystem::path & | filename | ) |

## ◆ writeDocument()

oms_status_enu_t oms::Snapshot::writeDocument | ( | char ** | contents | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ writeResourceNode()

oms_status_enu_t oms::Snapshot::writeResourceNode | ( | const filesystem::path & | filename,
|  | const filesystem::path & | path
| ) |  | const

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## ◆ doc

pugi::xml_document oms::Snapshot::doc
| private

The documentation for this class was generated from the following files:

- /var/lib/jenkins1/ws/OMSimulator_PR-1619/src/OMSimulatorLib/Snapshot.h
- /var/lib/jenkins1/ws/OMSimulator_PR-1619/src/OMSimulatorLib/Snapshot.cpp